// SetLed.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "windows.h"

#define LED1   1
#define LED2   2
#define OFF    0
#define GREEN  1
#define YELLOW 2

// Definition of the LED DLL function led_set
/*----------------------------------------------
Function:    led_set

Definition:  VOID led_set(UINT8 ledNumber,
						  UINT8 ledState);

Description: The funcions configures the fitlet2 front LED

Arguments:   LedNumber    - LED number 
							 1 - LED1
							 2 - LED2
             LedState     -  LED state
							 0 - off
			                 1 - green
						     2 - yellow

Return:      None
----------------------------------------------*/
typedef VOID (CALLBACK* LPFNDLLFUNC)(UINT8, UINT8);


int _tmain(int argc, _TCHAR* argv[])
{
	HINSTANCE	hDLL;
	LPFNDLLFUNC led_set;

	// Load the LED DLL.
	hDLL = LoadLibrary(TEXT("C:\\Program Files (x86)\\LED\\LED.dll"));

	if (hDLL == NULL)
	{
		// Handle the error
		printf("LoadLibrary LED error: %d\n", GetLastError());
		return -1;
	}

	// Obtain the exported function led_set of the LED DLL
	if (hDLL != NULL)
	{
		led_set = (LPFNDLLFUNC)GetProcAddress(hDLL, "led_set");
		if (!led_set)
		{
			// Handle the error
			printf("GetProcAddress led_set error: %d\n", GetLastError());
			FreeLibrary(hDLL);
			return -1;
		}
	}

	// Turn off the LED1
	led_set(LED1, OFF);
	Sleep(1000); // Wait 1 sec

	// Turn off the LED2
	led_set(LED2, OFF);
	Sleep(1000);

	// Turn on the LED1 yellow
	led_set(LED1, YELLOW);
	Sleep(1000);

	// Turn on the LED2 yellow
	led_set(LED2, YELLOW);
	Sleep(1000);

	// Turn on the LED1 green
	led_set(LED1, GREEN);
	Sleep(1000);

	// Turn on the LED2 green
	led_set(LED2, GREEN);

	return 0;
}

